io-ts-types
TypeScript icon, indicating that this package has built-in type declarations

0.5.19 • Public • Published

A collection of runtime types and combinators for use with io-ts

Installation

To install the stable version:

npm i io-ts-types

Note. io-ts-types depends on

starting from 0.5.0 you must install fp-ts, io-ts, newtype-ts and monocle-ts manually (fp-ts, io-ts, newtype-ts and monocle-ts are listed in peerDependency)

TypeScript compatibility

io-ts-types version required typescript version
0.5.x 3.5+
0.4.x 3.1+

Documentation

Package Sidebar

Install

npm i io-ts-types

Weekly Downloads

324,144

Version

0.5.19

License

MIT

Unpacked Size

137 kB

Total Files

168

Last publish

Collaborators

  • gcanti